CMSIS-Driver: Common Driver Definitions

| CMSIS-Driver Version 2.04 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Data Structures | Enumerations
Common Driver Definitions

Definitions common in all driver interfaces (Driver_Common.h) More...

## Content
| Status Error Codes
| Negative return values of functions indicate errors occurred during execution.

## Data Structures
struct | ARM_DRIVER_VERSION
| Driver Version. More...

## Enumerations
enum | ARM_POWER_STATE { ARM_POWER_OFF, ARM_POWER_LOW, ARM_POWER_FULL }
| General power states. More...

## Description

Definitions common in all driver interfaces (Driver_Common.h)

The following definitions are common in all CMSIS-Driver interfaces. Refer to Common Driver Functions for a general overview.

## Data Structure Documentation

struct ARM_DRIVER_VERSION

Driver Version.

The access structure of each CMSIS-Driver provides the function GetVersion, which returns in the struct ARM_DRIVER_VERSION:

- API version, which is the version of the CMSIS-Driver specification used to implement this driver.
- Driver version, which is the source code version of the actual driver implementation.

The version is encoded as 16-bit unsigned value (uint16_t) with:

- high-byte: major version.
- low-byte: minor version.

For example, version 1.12 is encoded as 0x10C.

Data Fields
uint16_t | api | API version.
uint16_t | drv | Driver version.

## Enumeration Type Documentation

enum ARM_POWER_STATE

General power states.

The access structure of each CMSIS-Driver provides the function PowerControl, which handles the power profile for a peripheral using the parameter ARM_POWER_STATE. Depending on this parameter, the peripheral will operate at full speed, detect just events, or is completely un-powered.

Refer to Function Call Sequence for more information.

Enumerator:

  ARM_POWER_OFF | Power off: no operation possible.
  ARM_POWER_LOW | Low Power mode: retain state, detect and signal wake-up events.
  ARM_POWER_FULL | Power on: full operation at maximum performance.